Bug 839210 - Testsuite on s390x fails
Testsuite on s390x fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libffi (Show other bugs)
7.0
s390x Unspecified
medium Severity medium
: rc
: ---
Assigned To: Andrew Haley
Miloš Prchlík
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 04:47 EDT by Michal Nowak
Modified: 2014-01-28 12:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 12:03:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2012-07-11 04:47:32 EDT
Description of problem:

		=== libffi tests ===

Schedule of variations:
    unix

Running target unix
Using /usr/share/dejagnu/baseboards/unix.exp as board description file for target.
Using /usr/share/dejagnu/config/unix.exp as generic interface file for target.
Using /root/rpmbuild/BUILD/libffi-3.0.10/testsuite/config/default.exp as tool-and-target-specific interface file.
Running /root/rpmbuild/BUILD/libffi-3.0.10/testsuite/libffi.call/call.exp ...
FAIL: libffi.call/err_bad_abi.c -O0 -W -Wall execution test
FAIL: libffi.call/err_bad_abi.c -O2 execution test
FAIL: libffi.call/err_bad_abi.c -O3 execution test
FAIL: libffi.call/err_bad_abi.c -Os execution test
FAIL: libffi.call/err_bad_abi.c -O2 -fomit-frame-pointer execution test
Running /root/rpmbuild/BUILD/libffi-3.0.10/testsuite/libffi.special/special.exp ...

		=== libffi Summary ===

# of unexpected failures	5


Version-Release number of selected component (if applicable):

libffi-3.0.10-2.el7.s390x
gcc-4.7.0-5.el7 (guess)

Additional info:

http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/07/2592/259235/553644/6811551/TESTOUT.log
Comment 4 Deepak Bhole 2013-08-15 12:45:06 EDT
Hi Michal. Is there an S390 system we can access to reproduce/fix this?

Note You need to log in before you can comment on or make changes to this bug.